body {
    width: 100%;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Helvetica Neue", sans-serif;
}

.app-overlay
{
  background-color:rgb(0, 0, 0);
  opacity:0.2;
  width:100dvw;
  height:100dvh;
  position: absolute;
  top: 0;
  left: 0;
  display: none;
  overflow: none;  
}

.nav-content{
    display: flex;
}

.nav-header{
    font-weight: bold;
}

#main {
    width: 100%;
    display: flex;
    flex-direction: column;
    min-height: 97dvh;
}

#header{
    position: sticky;
    top:0;
    z-index: 1;
    display: flex;
    min-height: min-content;
}

#header-container {
    display: flex;
    justify-content: space-between;
    flex:1;
    padding-right: 1rem;
}

#content{
    padding: 1rem;
}

#footer{
    text-align: end;
}

.nav-items {
    width: max-content;
    position: relative;
    display: block;
    flex-direction: column;
    padding-right: 1rem;
    list-style: none;
    transform: translateX(0px);
    z-index: 100;
    background: inherit;
    padding-left: 1.2rem;
    height: 100%;
    overflow: auto;    
}

.nav-items li {
    padding-bottom: 0.5rem;
}


#myburger {
    display: none;
    cursor: pointer;
    position: absolute;
    right: 0;
    z-index: 2;
}

#myburger div {
    width: 25px;
    height: 3px;
    background: #6c6c6c;
    margin: 5px;
    border-radius: 3px;
    transition: all 0.3s ease;
}

.toggle .line1 {
    transform: rotate(-135deg) translate(-17px, 6px);
}

.toggle .line2 {
    opacity: 0;
}

.toggle .line3 {
    transform: rotate(135deg) translate(-17px, -6px);
}

.scroll-container {
    overflow-x: auto;
    padding-right: 0.5rem;
    padding-bottom: 1rem;
}


@media screen and (max-width: 940px) {
    #content{
        padding: 0.3rem;
    }

    #myburger {
        display: block;
        padding-right: 1rem;
        padding-top: 0.2rem;
    }

    body {
        overflow-x: hidden;        
    }

    .nav-items {
        justify-content: space-around;
        left: auto;
        position: absolute;
        right: 0;
        top: 4.5vh;
        height: 89dvh;
        width: 50%;
        display: none;
        flex-direction: column;
        align-items: center;
        padding-left: 0;
        /* transform: translateX(100vw);
        animation: navSlideOut 0s forwards; */
    }

    ul.nav-off {}

    .nav-items li {
        /* opacity: 0; */
    }

    .nav-active {
        animation: navSlide 0.5s ease both;
    }

    .nav-off {
        animation: navSlideOut 0.5s ease both;
    }

    #content{
        /* overflow-x: auto; */
        flex: 1;
    }
}

/* normally you could simplify with just the 'to', but we need to reset the translating */
@keyframes navSlide {
    from {
        transform: translateX(100%);
    }

    to {
        transform: translateX(0%);
    }
}

@keyframes navSlideOut {
    from {
        transform: translateX(0%);
    }

    to {
        transform: translateX(100%);
    }
}

@keyframes navFade {
    from {
        opacity: 0;
        transform: translateX(50px);
    }

    to {
        opacity: 1;
        transform: translateX(0px);
    }
}

